CXX=g++
CXXFLAGS=-std=c++11 -O
LDFLAGS=-l SDL -l SDL_gfx -l SDL_image -l box2d
INC=
LIB=

EXEC=BouncyDriver
SRC=$(shell find . -name '*.cpp') 
OBJ=$(SRC:.cpp=.o)

$(EXEC): $(OBJ)
	@mkdir -p bin
	$(CXX) -o bin/$@ $^ $(LDFLAGS) $(LIB)

%.o : %.cpp 
	$(CXX) -o $@ -c $< $(CXXFLAGS) $(INC)
	
clean:
	rm -rf $(OBJ)

distclean: clean
	rm -rf $(EXEC)

exec: $(EXEC)
	./bin/$(EXEC)
